import api from './index'
import { axios } from '@/utils/request'

/**
 * 添加酒店
 * @param {参数} parameter
 * @returns
 */
export function newHotel(parameter) {
    return axios({
        url: '/business/busHotel/add',
        method: 'post',
        data: parameter
    })
}

/**
 * 当前租户的酒店列表
 * @param {参数} parameter
 * @returns
 */
 export function hotelList(parameter) {
    return axios({
        url: '/business/busHotel/list?pageNo='+(parameter.pageNo||1)+'&pageSize='+(parameter.pageSize||10)+"&key="+parameter.key,
        method: 'get',
    })
}

/**
 * 当前租户的酒店列表
 * @param {参数} parameter
 * @returns
 */
export function hotelQueryList(parameter) {
    return axios({
        url: '/business/busHotel/queryList?key='+parameter.key,
        method: 'get',
    })
}

/**
 * 获取单个酒店信息
 * @param {参数} parameter
 * @returns
 */
export function getHotelInfo(parameter) {
    return axios({
        url: '/business/busHotel/queryById?id='+parameter.id,
        method: 'get',
    })
}


/**
 * 编辑酒店基本信息
 * @param {参数} parameter
 * @returns
 */
export function editMainInfo(parameter) {
    return axios({
        url: '/business/busHotel/editMainInfo',
        method: 'post',
        data: parameter
    })
}

/**
 * 编辑酒店图片信息
 * @param {参数} parameter
 * @returns
 */
export function editImage(parameter) {
    return axios({
        url: '/business/busHotel/editImage',
        method: 'post',
        data: parameter
    })
}

/**
 * 编辑酒店认证信息
 * @param {参数} parameter
 * @returns
 */
export function editAuthInfo(parameter) {
    return axios({
        url: '/business/busHotel/editAuthInfo',
        method: 'post',
        data: parameter
    })
}



